[Raw Msg Headers][Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

zmailer && shared libwrap

I just tried to compile 2.99.51 with shared libwrap...

cc -O2 -mpentium  -w  -DHAVE_CONFIG_H -I./../include -I../include -I.. -Iyes   -o smtpserver smtpserver.o rfc821scn.o debugreport.o fdstatfs.o wantconn.o policytest.o cfgread.o smtpdata.o smtpcmds.o smtphelp.o smtprouter.o smtpchild.o mxverify.o contentpolicy.o smtpauth.o zpwmatch.o smtptls.o version.o -L../libs -lzm -lzc -lident -lta  -lcrypt -ldb -lgdbm -lwrap -Lyes -lwhoson -lresolv /usr/lib/libssl.so /usr/lib/libsslcrypto.so -lpam -ldl
/usr/lib/libwrap.so: undefined reference to `allow_severity'
/usr/lib/libwrap.so: undefined reference to `deny_severity'
collect2: ld returned 1 exit status
make[1]: *** [smtpserver] Error 1

shared lib patches for tcpd are at:

It will be nice if zmailer will support shared libwrap.

 _____  __    ____       arkadiusz miśkiewicz      misiek@pld.org.pl
 \  _  \\  \  \    \  tel. +48 604395925  sysadm: zsz2.starachowice.pl
 |   __/|  |__|  |  | http://www.pld.org.pl/ http://www.misiek.eu.org/
 /__/   /____//____/     Polish Linux Distribution with IPv6 support